@echo off
rem Batch file Version: R6.0

set THISHWIDA=03CB
set THISHWIDB=0411

set BIOSREV=6M61
set BBLKREV=6M61

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK
check /r=%THISHWIDA% /i=MID_D.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto NEXT
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:NEXT
check /r=%THISHWIDB% /i=MID_W.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END

:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH

rem check old BIOS
if "%old%" == "2M26" goto CMOS
if "%old%" == "4M32" goto CMOS
if "%old%" == "5M36" goto CMOS32
if "%old%" == "5M40" goto CMOS
if "%old%" == "5M43" goto CMOS40
if "%old%" == "5M46" goto CMOS40
if "%old%" == "5M47" goto CMOS40
if "%old%" == "5M49" goto CMOS40
rem if "%old%" == "5M53" goto CMOS
rem if "%old%" == "5M56" goto CMOS53
rem if "%old%" == "6M61" goto CMOS53
goto FLHNOW

:CMOS32
set old=4M32
goto CMOS

:CMOS40
set old=5M40
goto CMOS

rem :CMOS53
rem set old=5M53
rem goto CMOS

:CMOS
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR

:FLHNOW
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool ...

phlash16 /mode=3 bios.wph

goto END

:BBFLASH

rem check old BIOS
if "%old%" == "2M26" goto CMOSBB
if "%old%" == "4M32" goto CMOSBB
if "%old%" == "5M36" goto CMOSBB32
if "%old%" == "5M40" goto CMOSBB
if "%old%" == "5M43" goto CMOSBB40
if "%old%" == "5M46" goto CMOSBB40
if "%old%" == "5M47" goto CMOSBB40
if "%old%" == "5M49" goto CMOSBB40
rem if "%old%" == "5M53" goto CMOSBB
rem if "%old%" == "5M56" goto CMOSBB53
rem if "%old%" == "6M61" goto CMOSBB53
goto BBFLHNOW

:CMOSBB32
set old=4M32
goto CMOS

:CMOSBB40
set old=5M40
goto CMOS

rem :CMOSBB53
rem set old=5M53
rem goto CMOS

:CMOSBB
cmoschg > nul
if errorlevel 255 goto UNKNOWN
if errorlevel 4 goto CHGERR
if errorlevel 3 goto CHGERR
if errorlevel 2 goto CHGERR
if errorlevel 1 goto CHGERR

:BBFLHNOW
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool(overwrite BootBlock) ...

phlash16 /BBL /mode=3 bios.wph

goto END

:CHGERR
@echo cmoschg Error!
goto END

:END
